다음을 통해 공유


Asset Endpoint Profiles - List By Resource Group

리소스 그룹별 AssetEndpointProfile 리소스 나열

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DeviceRegistry/assetEndpointProfiles?api-version=2026-04-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다.

subscriptionId
path True

string (uuid)

대상 구독의 ID입니다. 값은 UUID여야 합니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

응답

Name 형식 Description
200 OK

AssetEndpointProfileListResult

Azure 작업이 성공적으로 완료되었습니다.

Other Status Codes

ErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

List_AssetEndpointProfiles_ByResourceGroup

샘플 요청

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/assetEndpointProfiles?api-version=2026-04-01

샘플 응답

{
  "value": [
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/assetEndpointProfiles/my-assetendpointprofile",
      "name": "my-assetendpointprofile",
      "type": "Microsoft.DeviceRegistry/assetEndpointProfiles",
      "location": "West Europe",
      "extendedLocation": {
        "type": "CustomLocation",
        "name": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/myResourceGroup/providers/microsoft.extendedlocation/customlocations/location1"
      },
      "tags": {
        "site": "building-1"
      },
      "systemData": {
        "createdBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "createdByType": "Application",
        "createdAt": "2022-11-16T00:36:43.2516899Z",
        "lastModifiedBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "lastModifiedByType": "Application",
        "lastModifiedAt": "2022-11-16T01:37:16.0922793Z"
      },
      "properties": {
        "uuid": "0796f7c1-f2c8-44d7-9f5b-9a6f9522a85d",
        "targetAddress": "https://www.example.com/myTargetAddress",
        "endpointProfileType": "myEndpointProfileType",
        "authentication": {
          "method": "Anonymous"
        },
        "provisioningState": "Succeeded"
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/assetEndpointProfiles/my-assetendpointprofile1",
      "name": "my-assetendpointprofile1",
      "type": "Microsoft.DeviceRegistry/assetEndpointProfiles",
      "location": "West Europe",
      "extendedLocation": {
        "type": "CustomLocation",
        "name": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/myResourceGroup/providers/microsoft.extendedlocation/customlocations/location1"
      },
      "tags": {
        "site": "building-2"
      },
      "systemData": {
        "createdBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "createdByType": "Application",
        "createdAt": "2022-11-16T00:36:43.2516899Z",
        "lastModifiedBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "lastModifiedByType": "Application",
        "lastModifiedAt": "2022-11-16T01:37:16.0922793Z"
      },
      "properties": {
        "uuid": "7824a74f-21e1-4458-ae06-604d3a241d2c",
        "targetAddress": "https://www.example.com/myTargetAddress1",
        "endpointProfileType": "myEndpointProfileType",
        "authentication": {
          "method": "Certificate",
          "x509Credentials": {
            "certificateSecretName": "certificatRef"
          }
        },
        "provisioningState": "Succeeded"
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.DeviceRegistry/assetEndpointProfiles/my-assetendpointprofile2",
      "name": "my-assetendpointprofile2",
      "type": "Microsoft.DeviceRegistry/assetEndpointProfiles",
      "location": "West Europe",
      "extendedLocation": {
        "type": "CustomLocation",
        "name": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/myResourceGroup/providers/microsoft.extendedlocation/customlocations/location1"
      },
      "tags": {
        "site": "building-2"
      },
      "systemData": {
        "createdBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "createdByType": "Application",
        "createdAt": "2022-11-16T00:36:43.2516899Z",
        "lastModifiedBy": "2ta23112-4596-44ff-b773-19405922bfc1",
        "lastModifiedByType": "Application",
        "lastModifiedAt": "2022-11-16T01:37:16.0922793Z"
      },
      "properties": {
        "uuid": "1824a74f-21e1-4458-ae07-604d3a241d2e",
        "targetAddress": "https://www.example.com/myTargetAddress2",
        "endpointProfileType": "myEndpointProfileType",
        "authentication": {
          "method": "UsernamePassword",
          "usernamePasswordCredentials": {
            "usernameSecretName": "usernameRef",
            "passwordSecretName": "passwordRef"
          }
        },
        "provisioningState": "Succeeded"
      }
    }
  ]
}

정의

Name Description
AssetEndpointProfile

자산 엔드포인트 프로필 정의입니다.

AssetEndpointProfileListResult

AssetEndpointProfile 목록 작업의 응답입니다.

AssetEndpointProfileStatus

자산 엔드포인트 프로필 상태 속성을 정의합니다.

AssetEndpointProfileStatusError

자산 엔드포인트 프로필 상태 오류 속성을 정의합니다.

Authentication

서버에 대한 클라이언트 인증 메커니즘의 정의입니다.

AuthenticationMethod

서버에서 클라이언트의 사용자를 인증하는 방법입니다.

createdByType

리소스를 만든 ID의 형식입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

ExtendedLocation

확장된 위치입니다.

ProvisioningState

리소스의 프로비전 상태입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

UsernamePasswordCredentials

인증 모드 UsernamePassword에 대한 자격 증명입니다.

X509Credentials

인증 모드 인증서에 대한 x509 인증서입니다.

AssetEndpointProfile

자산 엔드포인트 프로필 정의입니다.

Name 형식 Description
extendedLocation

ExtendedLocation

확장된 위치입니다.

id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

리소스가 있는 지리적 위치

name

string

리소스의 이름

properties.additionalConfiguration

string

연결 유형 특정 추가 구성(예: OPC UA, Modbus, ONVIF)을 포함하는 문자열화된 JSON입니다.

properties.authentication

Authentication

서버에 대한 클라이언트 인증 메커니즘을 정의합니다.

properties.discoveredAssetEndpointProfileRef

string

검색된 자산 엔드포인트 프로필에 대한 참조입니다. 검색 흐름에서 자산 엔드포인트 프로필을 만든 경우에만 채워집니다. 검색된 자산 엔드포인트 프로필 이름을 제공해야 합니다.

properties.endpointProfileType

string

엔드포인트 프로필과 함께 사용되는 커넥터 유형에 대한 구성을 정의합니다.

properties.provisioningState

ProvisioningState

리소스의 프로비전 상태입니다.

properties.status

AssetEndpointProfileStatus

Edge에서 발생한 변경 사항을 반영하는 읽기 전용 개체입니다. 사용자 지정 리소스에 대한 Kubernetes 상태 속성과 유사합니다.

properties.targetAddress

string (uri)

사우스바운드 디바이스의 네트워크 주소/DNS 이름을 지정하는 로컬 유효한 URI입니다. targetAddress URI의 스키마 부분은 디바이스의 유형을 지정합니다. additionalConfiguration 필드는 추가 커넥터 유형별 구성을 보유합니다.

properties.uuid

string

전역적으로 고유하고 변경할 수 없으며 재사용할 수 없는 ID입니다.

systemData

systemData

createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.

tags

object

리소스 태그.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

AssetEndpointProfileListResult

AssetEndpointProfile 목록 작업의 응답입니다.

Name 형식 Description
nextLink

string (uri)

항목의 다음 페이지에 대한 링크

value

AssetEndpointProfile[]

이 페이지의 AssetEndpointProfile 항목

AssetEndpointProfileStatus

자산 엔드포인트 프로필 상태 속성을 정의합니다.

Name 형식 Description
errors

AssetEndpointProfileStatusError[]

Edge에서 발생하는 오류를 전송하고 유지하는 Array 개체입니다.

AssetEndpointProfileStatusError

자산 엔드포인트 프로필 상태 오류 속성을 정의합니다.

Name 형식 Description
code

integer (int32)

오류 분류를 위한 오류 코드(예: 400, 404, 500 등).

message

string

오류에 대한 추가 컨텍스트를 제공하는 사람이 읽을 수 있는 유용한 오류 메시지(예: "targetAddress 'foo'는 유효한 URL이 아닙니다").

Authentication

서버에 대한 클라이언트 인증 메커니즘의 정의입니다.

Name 형식 Default value Description
method

AuthenticationMethod

Certificate

서버에서 클라이언트의 사용자를 인증하는 메서드를 정의합니다.

usernamePasswordCredentials

UsernamePasswordCredentials

UsernamePassword 사용자 인증 모드를 선택할 때 사용자 이름 및 암호 참조를 정의합니다.

x509Credentials

X509Credentials

인증서 사용자 인증 모드를 선택할 때 인증서 참조를 정의합니다.

AuthenticationMethod

서버에서 클라이언트의 사용자를 인증하는 방법입니다.

Description
Anonymous

사용자 인증 방법은 익명입니다.

Certificate

사용자 인증 방법은 x509 인증서입니다.

UsernamePassword

사용자 인증 방법은 사용자 이름과 비밀번호입니다.

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

ExtendedLocation

확장된 위치입니다.

Name 형식 Description
name

string

확장된 위치 이름입니다.

type

string

확장된 위치 유형입니다.

ProvisioningState

리소스의 프로비전 상태입니다.

Description
Succeeded

리소스가 만들어졌습니다.

Failed

리소스를 만들지 못했습니다.

Canceled

리소스 만들기가 취소되었습니다.

Accepted

서버에서 리소스를 수락했습니다.

Deleting

리소스가 삭제되고 있습니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.

UsernamePasswordCredentials

인증 모드 UsernamePassword에 대한 자격 증명입니다.

Name 형식 Description
passwordSecretName

string

암호를 포함하는 비밀의 이름입니다.

usernameSecretName

string

사용자 이름을 포함하는 비밀의 이름입니다.

X509Credentials

인증 모드 인증서에 대한 x509 인증서입니다.

Name 형식 Description
certificateSecretName

string

인증서 및 프라이빗 키를 포함하는 비밀의 이름입니다(예: .der/.pem 또는 .der/.pfx로 저장됨).